## GtkVolumeButton GtkVolumeButton — A button which pops up a volume control |

## Functions

GtkWidget * | gtk_volume_button_new ()

## Properties

gboolean | use-symbolic | Read / Write / Construct

## Types and Values

struct | GtkVolumeButton

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkButton
                            ╰── GtkScaleButton
                                ╰── GtkVolumeButton

## Implemented Interfaces

GtkVolumeButton implements AtkImplementor, GtkBuildable, GtkActionable, GtkActivatable and GtkOrientable.

## Includes

    #include <gtk/gtk.h>

## Description

GtkVolumeButton is a subclass of GtkScaleButton that has been tailored for use as a volume control widget with suitable icons, tooltips and accessible labels.

## Functions

### gtk_volume_button_new ()

    GtkWidget *
    gtk_volume_button_new (void);

Creates a GtkVolumeButton, with a range between 0.0 and 1.0, with a stepping of 0.02. Volume values can be obtained and modified using the functions from GtkScaleButton.

#### Returns

a new GtkVolumeButton

Since: 2.12

## Types and Values

### struct GtkVolumeButton

    struct GtkVolumeButton;

## Property Details

### The `“use-symbolic”` property

      “use-symbolic”             gboolean

Whether to use symbolic icons as the icons. Note that if the symbolic icons are not available in your installed theme, then the normal (potentially colorful) icons will be used.

Flags: Read / Write / Construct

Default value: TRUE

Since: 3.0